PkConnection
3
PACKAGEKIT Library

# PkConnection

Functionality to see when packagekid starts and stops

## Synopsis

                        PkConnectionPrivate;
                        PkConnection;
    PkConnection *      pk_connection_new                   (void);
    gboolean            pk_connection_valid                 (PkConnection *connection);

## Object Hierarchy

      GObject
       +----PkConnection

## Signals

      "connection-changed"                             : Run Last

## Description

This file contains functions that can be used to see when packagekitd starts and stops.

## Details

### PkConnectionPrivate

    typedef struct _PkConnectionPrivate PkConnectionPrivate;

Private PkConnection data

### PkConnection

    typedef struct _PkConnection PkConnection;

### pk_connection_new ()

    PkConnection *      pk_connection_new                   (void);

Returns :

  A new PkConnection instance

### pk_connection_valid ()

    gboolean            pk_connection_valid                 (PkConnection *connection);

`connection` :

  a valid PkConnection instance

Returns :

  `TRUE` if packagekitd is running

## Signal Details

### The `"connection-changed"` signal

    void                user_function                      (PkConnection *pkconnection,
                                                            gboolean      arg1,
                                                            gpointer      user_data)         : Run Last

`pkconnection` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.